package com.yidianling.consultant.bean;

import java.util.List;

public class ExpertSearchBigShotBean {
    /**
     * id : 62
     * specialTopicName : 1
     * specialTopicType : 2
     * specialTopicTitle : 大咖专场1
     * specialTopicSubhead : 副标题1
     * status : 0
     * weight : 2
     * jumpWay : 2
     * createTime : Dec 13, 2019 9:56:26 PM
     * updateTime : Dec 16, 2019 5:05:36 PM
     * createrId : 22
     * specialTopicUrl : https://testh2.yidianling.com/post/view-out/139?last_source=app
     * topicImages : [{"id":88,"parentId":62,"iamgeType":2,"isShow":1,"createTime":"Dec 13, 2019 9:35:45 PM","updateTime":"Dec 16, 2019 4:31:42 PM","createrId":1,"imageUrl":"https://pic.ydlcdn.com/6n5AcChhYa.png"},{"id":133,"parentId":62,"iamgeType":1,"isShow":1,"createTime":"Dec 16, 2019 4:23:00 PM","updateTime":"Dec 16, 2019 4:34:48 PM","createrId":0,"imageUrl":"https://pic.ydlcdn.com/6n5AcChhYa.png"},{"id":134,"parentId":62,"iamgeType":1,"isShow":1,"createTime":"Dec 16, 2019 4:28:03 PM","updateTime":"Dec 16, 2019 4:29:58 PM","createrId":1,"imageUrl":"https://pic.ydlcdn.com/6n5AcChhYa.png"},{"id":146,"parentId":62,"iamgeType":3,"isShow":1,"createTime":"Dec 16, 2019 4:32:15 PM","updateTime":"Dec 16, 2019 4:34:01 PM","createrId":1,"imageUrl":"https://pic.ydlcdn.com/6n5AcChhYa.png"}]
     */

    private int id;
    private String specialTopicName;
    private int specialTopicType;
    private String specialTopicTitle;
    private String specialTopicSubhead;
    private int status;
    private int weight;
    private int jumpWay;
    private String createTime;
    private String updateTime;
    private int createrId;
    private String specialTopicUrl;
    private List<TopicImagesBean> topicImages;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getSpecialTopicName() {
        return specialTopicName;
    }

    public void setSpecialTopicName(String specialTopicName) {
        this.specialTopicName = specialTopicName;
    }

    public int getSpecialTopicType() {
        return specialTopicType;
    }

    public void setSpecialTopicType(int specialTopicType) {
        this.specialTopicType = specialTopicType;
    }

    public String getSpecialTopicTitle() {
        return specialTopicTitle;
    }

    public void setSpecialTopicTitle(String specialTopicTitle) {
        this.specialTopicTitle = specialTopicTitle;
    }

    public String getSpecialTopicSubhead() {
        return specialTopicSubhead;
    }

    public void setSpecialTopicSubhead(String specialTopicSubhead) {
        this.specialTopicSubhead = specialTopicSubhead;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getWeight() {
        return weight;
    }

    public void setWeight(int weight) {
        this.weight = weight;
    }

    public int getJumpWay() {
        return jumpWay;
    }

    public void setJumpWay(int jumpWay) {
        this.jumpWay = jumpWay;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public int getCreaterId() {
        return createrId;
    }

    public void setCreaterId(int createrId) {
        this.createrId = createrId;
    }

    public String getSpecialTopicUrl() {
        return specialTopicUrl;
    }

    public void setSpecialTopicUrl(String specialTopicUrl) {
        this.specialTopicUrl = specialTopicUrl;
    }

    public List<TopicImagesBean> getTopicImages() {
        return topicImages;
    }

    public void setTopicImages(List<TopicImagesBean> topicImages) {
        this.topicImages = topicImages;
    }

    public static class TopicImagesBean {
        /**
         * id : 88
         * parentId : 62
         * iamgeType : 2
         * isShow : 1
         * createTime : Dec 13, 2019 9:35:45 PM
         * updateTime : Dec 16, 2019 4:31:42 PM
         * createrId : 1
         * imageUrl : https://pic.ydlcdn.com/6n5AcChhYa.png
         */

        private int id;
        private int parentId;
        private int imageType;
        private int isShow;
        private String createTime;
        private String updateTime;
        private int createrId;
        private String imageUrl;

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getParentId() {
            return parentId;
        }

        public void setParentId(int parentId) {
            this.parentId = parentId;
        }

        public int getImageType() {
            return imageType;
        }

        public void setImageType(int iamgeType) {
            this.imageType = iamgeType;
        }

        public int getIsShow() {
            return isShow;
        }

        public void setIsShow(int isShow) {
            this.isShow = isShow;
        }

        public String getCreateTime() {
            return createTime;
        }

        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }

        public String getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(String updateTime) {
            this.updateTime = updateTime;
        }

        public int getCreaterId() {
            return createrId;
        }

        public void setCreaterId(int createrId) {
            this.createrId = createrId;
        }

        public String getImageUrl() {
            return imageUrl;
        }

        public void setImageUrl(String imageUrl) {
            this.imageUrl = imageUrl;
        }
    }
}
